DocsAPI ReferenceVoucher/bff/voucher/detail
getVoucherAdmin BFF

/bff/voucher/detail

Returns basic detail of a specific voucher identified by its code.

VouchergetBffVoucherDetail

Parameters

1 query

1 total
Query · 1
idstringRequired

Voucher code to retrieve.

Request

GET /bff/voucher/detail

get
curl -X GET "https://api.bizkithub.com/bff/voucher/detail?id=SUMMER2024" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Response

Voucher detail object.

{
  "id": "example_id",
  "value": "example_value",
  "usageLimit": 0,
  "usedCount": 0,
  "usedOrderCount": 0,
  "active": false,
  "isOrderSingleton": false,
  "note": "example_note"
}

All response codes

1 status code documented

Need an API key?

All BizKitHub API endpoints require authentication via API key.

Get API Key